#ifndef _H_EF00B5BD2D342A82A70DCB6D3C8E578A_Trigger__H_
#define _H_EF00B5BD2D342A82A70DCB6D3C8E578A_Trigger__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace std_srvs
{
    namespace srv
    {
        namespace dds_
        {
            struct  Trigger_Request_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Trigger_Request_> Trigger_Request__var;
            typedef Trigger_Request_& Trigger_Request__out;

            struct  Trigger_Response_
            {
                ::DDS::Boolean success_;
                ::DDS::String_mgr message_;
            };

            typedef DDS_DCPSStruct_var<Trigger_Response_> Trigger_Response__var;
            typedef DDS_DCPSStruct_out < Trigger_Response_> Trigger_Response__out;

            struct  Sample_Trigger_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::std_srvs::srv::dds_::Trigger_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Trigger_Request_> Sample_Trigger_Request__var;
            typedef Sample_Trigger_Request_& Sample_Trigger_Request__out;

            struct  Sample_Trigger_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::std_srvs::srv::dds_::Trigger_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Trigger_Response_> Sample_Trigger_Response__var;
            typedef DDS_DCPSStruct_out < Sample_Trigger_Response_> Sample_Trigger_Response__out;

        }

    }

}

#endif /* _H_EF00B5BD2D342A82A70DCB6D3C8E578A_Trigger__H_ */
