#ifndef _H_5F45EF5C87073F54F1FEED23203B4E13_Empty__H_
#define _H_5F45EF5C87073F54F1FEED23203B4E13_Empty__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace std_srvs
{
    namespace srv
    {
        namespace dds_
        {
            struct  Empty_Request_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Empty_Request_> Empty_Request__var;
            typedef Empty_Request_& Empty_Request__out;

            struct  Empty_Response_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<Empty_Response_> Empty_Response__var;
            typedef Empty_Response_& Empty_Response__out;

            struct  Sample_Empty_Request_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::std_srvs::srv::dds_::Empty_Request_ request_;
            };

            typedef DDS_DCPSStruct_var<Sample_Empty_Request_> Sample_Empty_Request__var;
            typedef Sample_Empty_Request_& Sample_Empty_Request__out;

            struct  Sample_Empty_Response_
            {
                ::DDS::ULongLong client_guid_0_;
                ::DDS::ULongLong client_guid_1_;
                ::DDS::LongLong sequence_number_;
                ::std_srvs::srv::dds_::Empty_Response_ response_;
            };

            typedef DDS_DCPSStruct_var<Sample_Empty_Response_> Sample_Empty_Response__var;
            typedef Sample_Empty_Response_& Sample_Empty_Response__out;

        }

    }

}

#endif /* _H_5F45EF5C87073F54F1FEED23203B4E13_Empty__H_ */
